### mkdocs-material ###
mkdocs-material:branches:
  stage: build
  needs:
    - docker-branches:lint
  extends:
    - .docker-build-base
  variables:
    DOCKER_DIRECTORY_NAME: mkdocs-material
  rules:
    - changes:
        - docker/mkdocs-material/Dockerfile
        - docker/mkdocs-material/build-metadata.json
        - docker/mkdocs-material/entrypoint.sh
      # Only run this on branches, except branches that has an merge request
      if: '$CI_COMMIT_BRANCH != "main" && $CI_PIPELINE_SOURCE != "merge_request_event"'
    - if: '$CI_COMMIT_BRANCH != "main"'
      changes:
        - .trigger-build

mkdocs-material:main:
  stage: build
  needs:
    - docker-main:lint
  variables:
    DOCKER_DIRECTORY_NAME: mkdocs-material
  extends:
    - .docker-build-base
  rules:
    - changes:
        - docker/mkdocs-material/Dockerfile
        - docker/mkdocs-material/build-metadata.json
        - docker/mkdocs-material/entrypoint.sh
      if: '$CI_COMMIT_BRANCH == "main"'
    - if: '$CI_COMMIT_BRANCH == "main"'
      changes:
        - .trigger-build

mkdocs-material:mr:
  stage: build
  extends:
    - .docker-build-mr
  variables:
    DOCKER_DIRECTORY_NAME: mkdocs-material
  rules:
    - changes:
        - docker/mkdocs-material/Dockerfile
        - docker/mkdocs-material/build-metadata.json
        - docker/mkdocs-material/entrypoint.sh
      if: '$CI_COMMIT_BRANCH != "main" && $CI_PIPELINE_SOURCE == "merge_request_event"'

### bulldozer-abuild ###
bulldozer-abuild:branches:
  stage: build
  needs:
    - docker-branches:lint
  extends:
    - .docker-build-base
  variables:
    DOCKER_DIRECTORY_NAME: mkdocs-material
  rules:
    - changes:
        - docker/bulldozer-abuild/Dockerfile
        - docker/bulldozer-abuild/build-metadata.json
        - docker/bulldozer-abuild/overlay/**
      if: '$CI_COMMIT_BRANCH != "main" && $CI_PIPELINE_SOURCE != "merge_request_event"'
      when: always
    - if: '$CI_COMMIT_BRANCH != "main"'
      changes:
        - .trigger-build

bulldozer-abuild:main:
  stage: build
  needs:
    - docker-main:lint
  variables:
    DOCKER_DIRECTORY_NAME: bulldozer-abuild
  extends:
    - .docker-build-base
  rules:
    - changes:
        - docker/bulldozer-abuild/Dockerfile
        - docker/bulldozer-abuild/build-metadata.json
        - docker/bulldozer-abuild/overlay/**
      if: '$CI_COMMIT_BRANCH == "main"'
    - if: '$CI_COMMIT_BRANCH == "main"'
      changes:
        - .trigger-build

bulldozer-abuild:mr:
  stage: build
  extends:
    - .docker-build-mr
  variables:
    DOCKER_DIRECTORY_NAME: bulldozer-abuild
  rules:
    - changes:
        - docker/bulldozer-abuild/Dockerfile
        - docker/bulldozer-abuild/build-metadata.json
        - docker/bulldozer-abuild/overlay/**
      if: '$CI_COMMIT_BRANCH != "main" && $CI_PIPELINE_SOURCE == "merge_request_event"'
